Bug 114867 - [GTK] Get rid of Pango/Gail dependencies in accessibility for ATK
Summary: [GTK] Get rid of Pango/Gail dependencies in accessibility for ATK
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Gtk (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on: 114868 114870 114871 114872 114873
Blocks: 119673
  Show dependency treegraph
 
Reported: 2013-04-19 05:41 PDT by Mario Sanchez Prada
Modified: 2013-09-11 05:04 PDT (History)
4 users (show)

See Also:


Attachments
Patch proposal (7.16 KB, patch)
2013-07-20 00:03 PDT, Mario Sanchez Prada
mrobinson: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mario Sanchez Prada 2013-04-19 05:41:55 PDT
There are some good reasons to think we should get rid of this dependency in accessibility/atk, such as the fact that we need to properly expose wrapped lines in WebKit2 (see https://bugs.webkit.org/show_bug.cgi?id=73433#c1) or that similar results to what we get through pango/gail combo could be achieved using internal utilities inside WebKit (e.g. TextBreakIterator).

However, this is probably not going to be a one-patch-fix, so here is the metabug to track them all.
Comment 1 Mario Sanchez Prada 2013-07-19 23:57:36 PDT
Changing the nature of this metabug to convert it into a normal bug (hence renaming it), so we can attach to it the final patch that will remove the pango/gail code from WebKitAccessibleInterfaceText.cpp, once all the blocking bugs have been solved.
Comment 2 Mario Sanchez Prada 2013-07-20 00:03:45 PDT
Created attachment 207192 [details]
Patch proposal

...and here comes the final patch!
Comment 3 Martin Robinson 2013-07-20 12:23:03 PDT
Comment on attachment 207192 [details]
Patch proposal

View in context: https://bugs.webkit.org/attachment.cgi?id=207192&action=review

> Source/WebCore/accessibility/atk/WebKitAccessibleInterfaceText.cpp:1075
> +    return resultText.release();

I think if you always release the resultText then perhaps just a raw pointer works.
Comment 4 Mario Sanchez Prada 2013-07-22 01:20:46 PDT
(In reply to comment #3)
> (From update of attachment 207192 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=207192&action=review
> 
> > Source/WebCore/accessibility/atk/WebKitAccessibleInterfaceText.cpp:1075
> > +    return resultText.release();
> 
> I think if you always release the resultText then perhaps just a
> raw pointer works.

Yeah, you're probably right. I'll change that before landing, once than the patches for the blocking bugs have been landed.
Comment 5 Mario Sanchez Prada 2013-09-11 05:04:15 PDT
Committed r155520: <http://trac.webkit.org/changeset/155520>